Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 268531 - x11-libs/tslib-1.0-r1 build failure with FORTIFY due to incorrect open() usage
Summary: x11-libs/tslib-1.0-r1 build failure with FORTIFY due to incorrect open() usage
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Embedded Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2009-05-04 00:00 UTC by Rémi Cardona
Modified: 2009-05-09 17:46 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,33.93 KB, text/plain)
2009-05-04 00:01 UTC, Rémi Cardona
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rémi Cardona gentoo-dev 2009-05-04 00:00:04 UTC
build.log coming up in a moment
Comment 1 Rémi Cardona gentoo-dev 2009-05-04 00:01:15 UTC
Created attachment 190273 [details]
build.log
Comment 2 Rémi Cardona gentoo-dev 2009-05-04 00:01:49 UTC
# emerge --info
Portage 2.2_rc32 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28.3-00193-gfbb12e7 i686)
=================================================================
System uname: Linux-2.6.28.3-00193-gfbb12e7-i686-Intel-R-_Pentium-R-_M_processor_1.70GHz-with-gentoo-2.0.0
Timestamp of tree: Sun, 03 May 2009 15:45:02 +0000
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -g -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -g -pipe"
DISTDIR="/home/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.proxad.net/mirrors/ftp.gentoo.org/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en fr"
MAKEOPTS="-j2"
PKGDIR="/home/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/x11 /usr/local/overlay/portage /usr/local/overlay/dev-overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acpi aiglx alsa avahi bash-completion branding bzip2 cairo cdda cdparanoia cdr cli consolekit cracklib crypt cups curl daap dbus dga dri dts dv dvd dvdnav dvdr dvdread eds emerald encode evo exif ffmpeg flac fuse gdbm gif gimp git glut gnome gnome-keyring gnutls gphoto2 gstreamer gtk gtkhtml hal howl-compat i8x0 iconv ieee1394 isdnlog jpeg kpathsea lcms libnotify libsexy live mad midi mmx mmxext mng mono mp3 mpeg mudflap musicbrainz nautilus ncurses nls nptl nptlonly ogg opengl pam pango pcre pdf perl png policykit ppds pppd pulseaudio python quicktime readline reflection sdl session sound speex spell spl sse sse2 ssl subversion svg sysfs tcpd theora tiff truetype unicode usb userlocales vim-syntax vorbis webdav wifi win32codecs wma wxwindows x86 xcb xcomposite xinerama xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en fr" USERLAND="GNU" VIDEO_CARDS="intel vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 SpanKY gentoo-dev 2009-05-09 17:46:10 UTC
fixed in cvs, thanks